use anyhow::Context;

test_cases! {
    multi_char::port: {
        case_0: "0",
        case_1: "1",
        case_3: "3",
        case_5: "5",
        case_7: "7",
        case_9: "9",
        case_20: "20",
        case_21: "21",
        case_22: "22",
        case_23: "23",
        case_25: "25",
        case_53: "53",
        case_63: "63",
        case_64: "64",
        case_67: "67",
        case_68: "68",
        case_80: "80",
        case_110: "110",
        case_119: "119",
        case_123: "123",
        case_127: "127",
        case_128: "128",
        case_143: "143",
        case_161: "161",
        case_194: "194",
        case_239: "239",
        case_240: "240",
        case_255: "255",
        case_443: "443",
        case_1023: "1023",
        case_1024: "1024",
        case_8080: "8080",
        case_49151: "49151",
        case_49152: "49152",
        case_65535: "65535"
    }
}
